require "defines"
--this will be really simple mod where we'll only use one simple event handler

game.on_event({defines.events.on_built_entity,defines.events.on_robot_built_entity},
function(event)
    if event.created_entity.name=="packed-concrete" then
        local surf=event.created_entity.surface
        local x=event.created_entity.position.x
        local y=event.created_entity.position.y
        local concrete={}
        for i=-1,1,1 do
            for j=-1,1,1 do
                if not surf.get_tile(x+i,y+j).collides_with("water-tile") then
                    table.insert(concrete,{name="concrete",position={x+i,y+j}})
                end
            end
        end
        surf.set_tiles(concrete)
        event.created_entity.destroy()
    end
end)
