data:extend({
    {--entity
        type = "simple-entity",
        name = "packed-concrete",
        flags = {"placeable-neutral", "player-creation"},
        icon = "__PackedConcrete__/packed_concrete.png",
        collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
        selection_box = {{-1.4, -1.4}, {1.4, 1.4}},
        collision_mask={'floor-layer'},
        render_layer = "object",
        max_health =70,
        resistances ={},
        pictures =
        {{filename = "__PackedConcrete__/packed_concrete_entity.png",
            width = 96,
            height = 96,
        }}
    },
    {--item
        type = "item",
        name = "packed-concrete",
        icon = "__PackedConcrete__/packed_concrete.png",
        subgroup = "terrain",order = "b[concrete]-b",
        flags = {"goes-to-quickbar"},
        order = "b[guntrain]",place_result = "packed-concrete",
        stack_size = 100
    },
    {--recipe
        type = "recipe",name = "packed-concrete",enabled = false,
        ingredients ={{"concrete", 9},},category = "advanced-crafting",
        result ="packed-concrete",energy_required = 10,
    },
    {--tech
        type = "technology",name = "concrete-packing",
        icon = "__PackedConcrete__/packed_concrete.png",
        effects ={
            {type = "unlock-recipe",recipe = "packed-concrete"},
        },
        prerequisites = {"construction-robotics", "concrete"},
        unit ={
            count = 20,
            ingredients ={
                {"science-pack-1", 2},{"science-pack-2", 2},{"science-pack-3", 1}
            },
            time = 30
        },
        order = "e-a-c",
    },
})
